Subject: [Technical Errata Reported] RFC7231 (5541)

From: RFC Errata System <[email-masked]>
Date: Fri, 2 Nov 2018 10:02:22 -0700 (PDT)

The following errata report has been submitted for RFC7231,
"Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5541

--------------------------------------
Type: Technical
Reported by: Danil Suits <[email-masked]>

Section: 4.3.5

Original Text
-------------
If a DELETE
   request passes through a cache that has one or more stored responses
   for the effective request URI, those stored responses will be
   invalidated

Corrected Text
--------------
If a successful DELETE
   request passes through a cache that has one or more stored responses
   for the effective request URI, those stored responses will be
   invalidated

Notes
-----
RFC 7234 4.4 describes the semantics of cache invalidation for successful requests (non-error status code), but does not describe semantics for unsuccessful requests.  The corrected text parallels the construction in section 4.3.4 ("If a successful PUT request...").

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7231 (draft-ietf-httpbis-p2-semantics-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 3 Nov 2018 09:55:21 +0700

I think HOLD FOR UPDATE; we can address this in the current http-core work.

Cheers and thanks,

> On 3 Nov 2018, at 12:02 am, RFC Errata System <[email-masked]> wrote:
> 

--
Mark Nottingham   https://www.mnot.net/